import React, { useContext } from 'react'
import { useAuth } from '../../hooks/useAuth'
import { UserContext } from '../../hooks/userContext'
import './login.scss'

const Login: React.FC = () => {
  const { loginUser, setisLogged } = useContext(UserContext)

  const handleClickLogin = async () => {
    if (loginUser && setisLogged) {
      await loginUser()

      setisLogged(true)
    }
  }

  return (
    <div className="login">
      <div className="container">
        <h1>Bienvenue sur le Backoffice d'Ecolyo !</h1>
        <button className="btnValid" onClick={handleClickLogin}>
          Login
        </button>
      </div>
    </div>
  )
}

export default Login
