import React, { useContext } from 'react'
import { Redirect, Route, Switch } from 'react-router-dom'
import { UserContext } from '../../hooks/userContext'
import Editing from '../Editing/Editing'
import Login from '../Login/Login'
import Settings from '../Settings/Settings'
import PrivateRoute from './PrivateRoute'

const Routes: React.FC = () => {
  const { isLogged } = useContext(UserContext)

  return (
    <Switch>
      {isLogged && <Redirect path="/login" to="/editing" />}
      <Route path="/login" component={Login} />
      <PrivateRoute path="/editing" component={Editing} exact />
      <PrivateRoute path="/settings" component={Settings} exact />
      <Redirect path="*" to="/editing" />
    </Switch>
  )
}

export default Routes
